org.apache.poi.hemf.record.emf

## Class HemfDraw.EmfEllipse

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw.WmfEllipse
  - - org.apache.poi.hemf.record.emf.HemfDraw.EmfEllipse

- All Implemented Interfaces:
    GenericRecord, HemfRecord, HwmfRecord
  Enclosing class:
    HemfDraw

      public static class HemfDraw.EmfEllipse
      extends HwmfDraw.WmfEllipse
      implements HemfRecord

  The EMR_ELLIPSE record specifies an ellipse. The center of the ellipse is the center of the specified bounding rectangle. The ellipse is outlined by using the current pen and is filled by using the current brush.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfEllipse

      `bounds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfEllipse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfRecordType` | `getEmfRecordType()`
    `java.lang.Enum` | `getGenericRecordType()`
    `long` | `init(LittleEndianInputStream leis, long recordSize, long recordId)` Init record from stream

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfEllipse

      `draw, getBounds, getGenericProperties, getShape, getWmfRecordType, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericProperties`

- - ### Constructor Detail

    - #### EmfEllipse

          public EmfEllipse()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`

    - #### init

          public long init(LittleEndianInputStream leis,
                           long recordSize,
                           long recordId)
                    throws java.io.IOException

      Description copied from interface: `HemfRecord`
      Init record from stream
      Specified by:
        `init` in interface `HemfRecord`
      Parameters:
        `leis` - the little endian input stream
        `recordSize` - the size limit for this record
        `recordId` - the id of the `HemfRecordType`
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfRecord`
      Draws the record, the default redirects to the parent WMF record drawing
      Specified by:
        `draw` in interface `HemfRecord`
      Parameters:
        `ctx` - the drawing context

    - #### getGenericRecordType

          public java.lang.Enum getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`
      Specified by:
        `getGenericRecordType` in interface `HemfRecord`
      Specified by:
        `getGenericRecordType` in interface `HwmfRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.